#!/usr/bin/env python
# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from ..basevalidator import BaseValidator
import fal_validinfo

VALUE_IDX = 0


class HttpMethod(BaseValidator):

    def __init__(self, target_node,
            validate_config_node=None):

        BaseValidator.__init__(self, target_node,
            validate_config_node)

        self.is_httpmethod_in_item = lambda: self.is_in_item([
            c[VALUE_IDX]
            for c
            in fal_validinfo.HttpMethod.CHOICES])

    def validate(self):
        validate_list = [
            self.is_not_null,
            self.is_httpmethod_in_item,
            ]
        self.validate_list_exec(validate_list)
        self.set_msginfo_node()
        return self.result_node


class DownloadInterval(BaseValidator):

    def __init__(self, target_node,
            validate_config_node=None):

        BaseValidator.__init__(self, target_node,
            validate_config_node)

        self.is_downloadinterval_in_item = lambda: self.is_in_item([
            c[VALUE_IDX]
            for c
            in fal_validinfo.DownloadInterval.CHOICES])

    def validate(self):
        validate_list = [
            self.is_not_null,
            self.is_downloadinterval_in_item,
            ]
        self.validate_list_exec(validate_list)
        self.set_msginfo_node()
        return self.result_node


class AmazonS3StorageClass(BaseValidator):

    def __init__(self, target_node,
            validate_config_node=None):

        BaseValidator.__init__(self, target_node,
            validate_config_node)

        self.is_storageclass_in_item = lambda: self.is_in_item([
            c[VALUE_IDX]
            for c
            in fal_validinfo.AmazonS3StorageClass.CHOICES])

    def validate(self):
        validate_list = [
            self.is_not_null,
            self.is_storageclass_in_item,
            ]
        self.validate_list_exec(validate_list)
        self.set_msginfo_node()
        return self.result_node
