#!/usr/bin/env python
# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
import ionas.request as request
import libevh.evhcmd as evhcmd
from fal_info import (Results, ReqTypes)

from subprocess import Popen, PIPE
from product_conf import SUDO_CMD


MANAGER_PATH = '/usr/local/bin/dropbox_access_token_manager_for_nasdsync'


class EvhDropboxInitialize(evhcmd.EvhCmd):

    def __event_handler(self, entry):
        try:
            command = [SUDO_CMD, MANAGER_PATH, '--revoke-access-token', '--all']
            process = Popen(command, stdout=PIPE)
            output, error = process.communicate()
        except:
            pass
        entry.set_result(Results.OK)
        return entry

    def __init__(self, option=None):
        evhcmd.EvhCmd.__init__(self, option=option)
        self.set_handler(ReqTypes.EVENT, self.__event_handler)


#
# Main
#

if __name__ == "__main__":
    EvhDropboxInitialize(option=evhcmd.EvhCmdOption()).handle_request()
