# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from command import Command
from ionas.request import Entry
from iobase.xmldata import XmlNode


class AmazonS3(Command):
    try:
        from fal_info import FAL_AMAZONS3_PATH as COMMAND
    except:
        COMMAND_NAME = 'fal_amazons3.py'

    TYPE_DOWNLOAD = 'download'
    TYPE_CHECK = 'check'

    def download(self, share_name):
        return self.request(Entry(
               self.TYPE_DOWNLOAD,
               '<amazons3><sharename>%s</sharename></amazons3>' % share_name))

    def check(self, access_key, secret_key, bucket, httpmethod, port, endpoint):
        node = XmlNode('<amazons3/>')
        node.append_child('accesskey', access_key)
        node.append_child('secretkey', secret_key)
        node.append_child('bucket', bucket)
        node.append_child('httpmethod', httpmethod)
        node.append_child('port', port)
        node.append_child('endpoint', endpoint)
        return self.request(Entry(self.TYPE_CHECK, node))
