# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from command import Command
from ionas.request import Entry
from iobase.xmldata import XmlNode

class Azure(Command):
    try:
        from fal_info import FAL_AZURE_PATH as COMMAND
    except:
        COMMAND_NAME = 'fal_azure.py'

    TYPE_DOWNLOAD = 'download'
    TYPE_CHECK = 'check'

    def download(self, share_name):
        return self.request(Entry(
               self.TYPE_DOWNLOAD,
               '<azure><sharename>%s</sharename></azure>' % share_name))

    def check(self, account_name, access_key, container, protocol):
        node = XmlNode('<azure/>')
        node.append_child('accountname', account_name)
        node.append_child('accesskey', access_key)
        node.append_child('container', container)
        node.append_child('httpmethod', protocol)
        return self.request(Entry(self.TYPE_CHECK, node))
