# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from command import Command
from iobase.xmldata import XmlNode
from ionas.request import Entry
from fal_info import Results


class FALBox(Command):

    try:
        from fal_info import FAL_BOX_PATH as COMMAND
    except:
        COMMAND_NAME = "fal_box.py"

    def check(self, *args, **kwargs):
        entry = self._check(*args, **kwargs)
        result = getattr(entry, "get_result", lambda: None)()
        return getattr(entry,
                       "get",
                       lambda:XmlNode("x"))().get_value("result", None)

    def download(self, sharename, *args, **kwargs):
        entry = self._download(sharename)
        result = getattr(entry, "get_result", lambda: None)()
        return result in [Results.OK]

    def _check(self, email, passwd):
        entry = Entry("check", """<box/>""")
        box_node = entry.get()
        box_node.append_child("mailaddress", text=email)
        box_node.append_child("passwd", text=passwd)
        return self.request(entry)

    def _download(self, sharename):
        entry = Entry("download", """<box/>""")
        entry.get().append_child("sharename", text=sharename)
        return self.request(entry)


if __name__ == "__main__":
    print FALBox().check("aa@bb.cc", "p@ssw0rd")
    print FALBox().download("disk1")
