# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils import simplejson
from django.http import HttpResponseRedirect, HttpResponse
from root.modules.view import FuncView

from project.fal.amazons3 import AmazonS3


def root(request):
    return HttpResponseRedirect('./check_amazons3')


class View(FuncView):

    def view(self, request):

        access_key = request.GET["access_key"]
        secret_key = request.GET["secret_key"]
        bucket = request.GET["bucket"]
        protocol = request.GET["protocol"]
        port= request.GET["port"]
        end_point= request.GET["end_point"]

        s3 = AmazonS3()
        result_entry = s3.check(access_key, secret_key,
                                bucket, protocol, port, end_point)
        result = result_entry.get().get_value("result", "Failed")

        return {self.KEY_RESPONSE: HttpResponse(
            simplejson.dumps({"result": result}),
            mimetype="application/json; charset=UTF-8;")}


check_amazons3 = View.as_view()
