# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils import simplejson
from django.http import HttpResponseRedirect, HttpResponse
from root.modules.view import FuncView

from project.fal.azure import Azure


def root(request):
    return HttpResponseRedirect('./check_azure')


class View(FuncView):

    def view(self, request):

        account_name = request.GET["account_name"]
        access_key = request.GET["access_key"]
        container = request.GET["container"]
        protocol = request.GET["protocol"]

        azure = Azure()
        result_entry = azure.check(account_name, access_key,
                                  container, protocol)
        result = result_entry.get().get_value("result", "Failed")

        return {self.KEY_RESPONSE: HttpResponse(
            simplejson.dumps({"result": result}),
            mimetype="application/json; charset=UTF-8;")}


check_azure = View.as_view()
