# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from django.conf import settings
import os

ENABLE_PATH = "shareservice/amazons3/@enable"
CLOUDN_PATH = "shareservice/amazons3/@cloudn"

CONV = {'true': True, 'false': False}


def enabled(share_node):
    try:
        s3 = CONV.get(share_node.get_value(ENABLE_PATH), False)
        cln = CONV.get(share_node.get_value(CLOUDN_PATH), False)
        if s3 and not cln:
            return True
        return False
    except:
        return False


def name():
    return _(u'Amazon S3 Sync')


def icon():
    dir_ = os.path.join(settings.STATIC_URL, 'img', 'share', 'icon')
    return os.path.join(dir_, 'cloudsync.png')
