# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from django import forms
from project.forms.fields.checkbox import CheckboxField
from project.forms.fields.text import TextField
from project.forms.fields.password import PasswordField
from project.forms.fields.select import SelectField


fields = {
    "box_enabled": CheckboxField(label=_(u"BoxSync: Label: Enabled"),
                                 initial=False,
                                 attrs={"exclusion_cloud": True}),
    "box_email": TextField(label=_(u"BoxSync: Label: Email"),
                           initial="",
                           required=False,
                           max_length=256),
    "box_passwd": PasswordField(label=_(u"BoxSync: Label: Password"),
                                initial="",
                                required=False,
                                max_length=256),
    'box_interval': SelectField(label=_(u'BoxSync: Label: Interval'),
                                choices=[(u"0", _(u"BoxSync: Not monitoring"))] + [(u"%s" % (h * 60 * 60), _(u"BoxSync: %(hour)s Hours") % {"hour": h}) for h in range(1, 25)],
                                initial=u"%s" % (1 * 60 * 60)),
    'box_uploadmaxfilesize': forms.IntegerField(label=_(u'BoxSync: Label: Upload Max File Size'),
                                                initial=250,
                                                required=False,
                                                max_value=1024 * 10),
}
