# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
import os
from django.utils.translation import ugettext as _
from django import forms
from project.forms.fields.checkbox import CheckboxField
from project.forms.fields.text import TextField
from project.forms.fields.select import SelectField


prefix = os.path.basename(os.path.abspath(__file__)).split('.')[0]


fields = {
    '%s_enabled' % prefix: CheckboxField(
        label=_(u'onedrive: sync (for business)') if prefix == 'onedriveb' else _(u'onedrive: sync'),
        initial=False,
        attrs={
            "exclusion_cloud": True,
        },
    ),
    '%s_upload_only' % prefix: CheckboxField(
        label=_(u'onedrive: upload only mode'),
        initial=False,
    ),
    '%s_code' % prefix: TextField(
        label=_(u'onedrive: code'),
        initial=u'',
        required=False,
    ),
    '%s_sync_folder' % prefix: TextField(
        label=_(u'onedrive: sync folder (for business)') if prefix == 'onedriveb' else _(u'onedrive: sync folder'),
        initial=u'',
        required=False,
    ),
    '%s_interval' % prefix: SelectField(
        label=_(u'onedrive: monitoring interval'),
        choices=[(u"0", _(u'onedrive: not monitoring'))] + [(u"%s" % (h * 60 * 60), _(u"onedrive: %(hour)s hours") % {"hour": h}) for h in range(1, 25)],
        initial=u"%s" % (1 * 60 * 60),
    ),
    '%s_uploadmaxfilesize' % prefix: forms.IntegerField(
        label=_(u'onedrive: max upload file size'),
        initial=10 * 1024,
        required=False,
        # max_value=1024 * 10,
    ),
    '%s_revoke_access_token_flag' % prefix: CheckboxField(
        label=_(u'onedrive: revoke access token'),
        initial=False,
    ),
}
