#:!/usr/bin/env python
# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from subprocess import Popen, PIPE

from product_conf import SUDO_CMD


MANAGER_PATH = '/usr/local/bin/dropbox_access_token_manager_for_nasdsync'


def get_dropbox_account_name(share_name="", **kwargs):
    command = [SUDO_CMD, MANAGER_PATH, '--load-access-token', share_name]
    process = Popen(command, stdout=PIPE)
    output, error = process.communicate()
    access_token = output.strip()

    command = [SUDO_CMD, MANAGER_PATH, '--obtain-account-name', access_token]
    process = Popen(command, stdout=PIPE)
    output, error = process.communicate()
    account_name = output.strip()

    return {
        'dropbox_account_name': account_name,
    }
