#!/usr/bin/env python
# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from ..utils import BaseMeans


class Azure(BaseMeans):
    PATH = "shareservice/azure/@enable"


class AccountName(BaseMeans):
    PATH = "shareservice/azure/accountname"
    IS_BOOL = False
    DEFAULT = ""


class AccessKey(BaseMeans):
    PATH = "shareservice/azure/accesskey"
    IS_BOOL = False
    DEFAULT = ""


class Container(BaseMeans):
    PATH = "shareservice/azure/container"
    IS_BOOL = False
    DEFAULT = ""


class Protocol(BaseMeans):
    PATH = "shareservice/azure/httpmethod"
    IS_BOOL = False
    DEFAULT = "https"


class CheckInterval(BaseMeans):
    PATH = "shareservice/azure/downloadinterval"
    IS_BOOL = False
    DEFAULT = "3600"


means = {
    "azure": Azure(),
    "azure_access_key": AccessKey(),
    "azure_account_name": AccountName(),
    "azure_container": Container(),
    "azure_protocol": Protocol(),
    "azure_check_interval": CheckInterval()}
