#!/usr/bin/env python
# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from ..utils import BaseMeans


class BoxEnabled(BaseMeans):
    PATH = "shareservice/box/@enable"


class BoxEmail(BaseMeans):
    PATH = "shareservice/box/mailaddress"
    IS_BOOL = False
    DEFAULT = ""


class BoxPasswd(BaseMeans):
    PATH = "shareservice/box/passwd"
    IS_BOOL = False
    DEFAULT = ""


class BoxInterval(BaseMeans):
    PATH = "shareservice/box/downloadinterval"
    IS_BOOL = False
    DEFAULT = "3600"


class BoxUploadmaxfilesize(BaseMeans):
    PATH = "shareservice/box/uploadmaxfilesize"
    IS_BOOL = False
    DEFAULT = str(250)


means = {
    "box_enabled": BoxEnabled(),
    "box_email": BoxEmail(),
    "box_passwd": BoxPasswd(),
    "box_interval": BoxInterval(),
    "box_uploadmaxfilesize": BoxUploadmaxfilesize(),
}
