#!/usr/bin/env python
# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
import os
from ..utils import BaseMeans


prefix = os.path.basename(os.path.abspath(__file__)).split('.')[0]
tagname = 'onedrivebusiness' if prefix == 'onedriveb' else 'onedrive'


class OneDriveEnabled(BaseMeans):
    PATH = "shareservice/%s/@enable" % tagname


# class OneDriveUploadOnly(BaseMeans):
#     PATH = "shareservice/onedrive/@uploadonly"


class OneDriveInterval(BaseMeans):
    PATH = 'shareservice/%s/downloadinterval' % tagname
    IS_BOOL = False
    DEFAULT = str(3600)


class OneDriveUploadMaxFileSize(BaseMeans):
    PATH = 'shareservice/%s/uploadmaxfilesize' % tagname
    IS_BOOL = False
    DEFAULT = str(10 * 1024)


class OneDriveSyncFolder(BaseMeans):
    PATH = 'shareservice/%s/path' % tagname
    IS_BOOL = False
    DEFAULT = ''


means = {
    '%s_enabled' % prefix: OneDriveEnabled(),
    # 'onedrive_code': OneDriveCode(),
    # "onedrive_upload_only": OneDriveUploadOnly(),
    '%s_interval' % prefix: OneDriveInterval(),
    '%s_uploadmaxfilesize' % prefix: OneDriveUploadMaxFileSize(),
    '%s_sync_folder' % prefix: OneDriveSyncFolder(),
}
