#:!/usr/bin/env python
# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta


class AmazonS3(object):

    def _raise_err(self, str):
        raise self.err_cls('"' + self._(str) + '"' + self._(u' is required.'))

    def _is_null(self, field_name, null=""):
        if field_name in self.data.keys():
            if self.data[field_name] == null:
                return True
        return False

    def rule(self, data, err_cls, _):
        self.data = data
        self.err_cls = err_cls
        self._ = _

        if self.data.get("amazons3"):
            if self._is_null("amazons3_access_key"):
                self._raise_err(u"Access Key")
            if self._is_null("amazons3_secret_key"):
                self._raise_err(u"Secret Key")
            if self._is_null("amazons3_bucket"):
                self._raise_err(u"Bucket Name")
            if self._is_null("amazons3_protocol"):
                self._raise_err(u"Protocol")
            if self._is_null("amazons3_storage_class"):
                self._raise_err(u"Storage Class")
            if self._is_null("amazons3_check_interval"):
                self._raise_err(u"Check Interval")
            if self._is_null("amazons3_upload_max_file_size"):
                self._raise_err(u"Upload Max File Size")
            if self._is_null("amazons3_mpupload"):
                self._raise_err(u"Multipart Upload")

rules = {
    "amazons3": AmazonS3()}
