#:!/usr/bin/env python
# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
import os
from project.fal.onedrive import FALOneDrive


prefix = os.path.basename(os.path.abspath(__file__)).split('.')[0]


class OneDrive(object):

    def rule(self, data, err_cls, _):
        sharename = data.get('name')
        enabled = data.get('%s_enabled' % prefix)
        code = data.get('%s_code' % prefix)
        interval = data.get('%s_interval' % prefix)
        uploadmaxfilesize = data.get('%s_uploadmaxfilesize' % prefix)
        flag = data.get('%s_revoke_access_token_flag' % prefix)
        
        token = FALOneDrive().query(sharename, business=prefix == 'onedriveb').get('token', None)

        if enabled:
            requireds = [
                (interval, _(u'onedrive: monitoring interval')),
                (uploadmaxfilesize, _(u'onedrive: max upload file size')),
            ]
            if not token:
                requireds.append((code, _(u'onedrive: code')))
            for field in requireds:
                value, label = field[:2]
                if value in ["", None]:
                    raise err_cls(u"%s: %s" % (label, _(u"This field is required.")))

        if sharename:
            if enabled:
                if code:
                    onedrive = FALOneDrive()
                    if not onedrive.apply(sharename, code, business=prefix == 'onedriveb'):
                        raise err_cls(onedrive.get_message())
            else:
                if flag:
                    onedrive = FALOneDrive()
                    if not onedrive.apply(sharename, '', business=prefix == 'onedriveb'):
                        raise err_cls(onedrive.get_message())


rules = {
    # "onedrive": OneDrive(),
    prefix: OneDrive(),
}
