# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from django.utils import simplejson
from django.http import HttpResponse
from django import forms
from project.view import FuncView, RootView
from project.forms.fields.text import TextField
from project.forms.fields.password import PasswordField
#from project.forms.fields.extras.share import ShareNameField
from project.forms.fields.extras.share import SelectShareField
from project.fal.onedrive import FALOneDrive


class DownloadForm(forms.Form):

    def __init__(self, *args, **kwargs):
        super(DownloadForm, self).__init__(*args, **kwargs)
        self.fields["name"] = SelectShareField()


class DownloadView(RootView):

    def view(self, request):
        form = DownloadForm(data=request.GET)
        result = False
        if form.is_valid():
            result = FALOneDrive().download(form.cleaned_data["name"])
        response = HttpResponse(
            simplejson.dumps({
                "result": result,
            }),
            mimetype="application/json;charset=UTF-8;",
        )
        return {
            self.KEY_RESPONSE: response,
        }
